Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

PIN管理API

Get Card PIN

get
/cms/api/v1/issuers/{issuerId}/cards/{cardId}/pin

This request is used by D1 to retrieve the PIN value of a physical card.

認可
Authorizationstring必須

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

cardIdstring · 最小: 1 · 最大: 48必須

Unique identifier of the card.

Pattern: ^[A-Za-z0-9_-]{1,48}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

レスポンス
200

The response body to get PIN to be displayed. This value is encrypted using the JWE encryption

application/json
get/cms/api/v1/issuers/{issuerId}/cards/{cardId}/pin

Set Card PIN

put
/cms/api/v1/issuers/{issuerId}/cards/{cardId}/pin

This request is used by D1 to push securelly in core banking system the PIN value for a physical card.

認可
Authorizationstring必須

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

cardIdstring · 最小: 1 · 最大: 48必須

Unique identifier of the card.

Pattern: ^[A-Za-z0-9_-]{1,48}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

本文
typestring · enum必須

The type of the PIN Block.

可能な値:
encryptedPinBlockstring · 最大: 8192必須

The value is the encrypted json (cf http://www.json.org/ ) representation of the PIN Block.
This value is encrypted using the JWE encryption (please refer to the Sensitive Information Encryption for more details)

Schemas of the PIN Block once decrypted
PIN Block ISO0
PIN Block 3DES Seccos
レスポンス
204

PIN set successfuly

コンテンツなし

put/cms/api/v1/issuers/{issuerId}/cards/{cardId}/pin

コンテンツなし

Get PIN Change Counter

get
/cms/api/v1/issuers/{issuerId}/cards/{cardId}/pin/changeCounter

API used by D1 retreive from Issuer Backend the PIN Change Counter for a given card. The PIN Change counter is used to compute PRW and MAC

認可
Authorizationstring必須

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

パスパラメータ
issuerIdstring · 最小: 10 · 最大: 10必須

The id of the issuer

cardIdstring · 最小: 1 · 最大: 48必須

Unique identifier of the card.

Pattern: ^[A-Za-z0-9_-]{1,48}$
ヘッダーパラメータ
x-correlation-idstringオプション

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.

レスポンス
200

Successful

application/json
pccstring必須

The PIN Change Counter value.

Example: 0003Pattern: ^[0-9]{4}$
intdatagstring · 最小: 20 · 最大: 20必須

Identifier used to correlate the call to get Pin Change Counter and the call to set Pin.

Example: 21430919092023091909
get/cms/api/v1/issuers/{issuerId}/cards/{cardId}/pin/changeCounter

最終更新

役に立ちましたか?